package com.atlassian.bitbucket.internal.mirroring.mirror;

import com.atlassian.bitbucket.ServiceException;
import com.atlassian.bitbucket.i18n.KeyedMessage;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;

/**
 * Exception that is thrown when a remote request to an upstream server fails
 */
public class UpstreamServerRequestFailedException extends ServiceException {

    public UpstreamServerRequestFailedException(@Nonnull KeyedMessage message) {
        super(message);
    }

    public UpstreamServerRequestFailedException(@Nonnull KeyedMessage message, @Nullable Throwable cause) {
        super(message, cause);
    }
}
